package com.hzya.frame.mdm.mdmModuleSource.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 主数据数据来源(MdmModuleSource)实体类
 *
 * @author makejava
 * @since 2024-06-19 09:11:50
 */
public class MdmModuleSourceEntity extends BaseEntity {
 
  /**  主数据模版ID */
   private String mdmId;
  /**  来源类型1、插件2、api */
   private String sourceType;
  /**  来源应用 */
   private String sourceName;
  /**   触发类型 1、手动 2、自动 */
   private String triggerType;
  /**  来源编码 */
   private String sourceCode;
  /**  新增接口 */
   private String addApi;
  /**  修改接口 */
   private String updateApi;
  /**  删除接口 */
   private String deleteApi;
  /**  启用停用 0、停用1、启用 */
   private String enabledState;
  /**  公司id */
   private String companyId;
   private String pluginCode;//插件编码
   private String appType;//应用类型
   private String dbCode;//数据源编码
   private String appName;//应用名称
   private String mdmCode;//主数据编码

    public String getAppName() {
        return appName;
    }

    public void setAppName(String appName) {
        this.appName = appName;
    }

    public String getMdmCode() {
        return mdmCode;
    }

    public void setMdmCode(String mdmCode) {
        this.mdmCode = mdmCode;
    }

    public String getAppType() {
        return appType;
    }

    public void setAppType(String appType) {
        this.appType = appType;
    }

    public String getDbCode() {
        return dbCode;
    }

    public void setDbCode(String dbCode) {
        this.dbCode = dbCode;
    }

    public String getPluginCode() {
        return pluginCode;
    }

    public void setPluginCode(String pluginCode) {
        this.pluginCode = pluginCode;
    }

    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }

    public String getSourceType() {
        return sourceType;
    }

    public void setSourceType(String sourceType) {
        this.sourceType = sourceType;
    }

    public String getSourceName() {
        return sourceName;
    }

    public void setSourceName(String sourceName) {
        this.sourceName = sourceName;
    }

    public String getTriggerType() {
        return triggerType;
    }

    public void setTriggerType(String triggerType) {
        this.triggerType = triggerType;
    }

    public String getSourceCode() {
        return sourceCode;
    }

    public void setSourceCode(String sourceCode) {
        this.sourceCode = sourceCode;
    }

    public String getAddApi() {
        return addApi;
    }

    public void setAddApi(String addApi) {
        this.addApi = addApi;
    }

    public String getUpdateApi() {
        return updateApi;
    }

    public void setUpdateApi(String updateApi) {
        this.updateApi = updateApi;
    }

    public String getDeleteApi() {
        return deleteApi;
    }

    public void setDeleteApi(String deleteApi) {
        this.deleteApi = deleteApi;
    }

    public String getEnabledState() {
        return enabledState;
    }

    public void setEnabledState(String enabledState) {
        this.enabledState = enabledState;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

}

